LogConfigurationException (SLF4J 1.7.25 API)
Date: 2017-03-16

org.apache.commons.logging

## Class LogConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.logging.LogConfigurationException

- All Implemented Interfaces:
    Serializable

      public class LogConfigurationException
      extends RuntimeException

  An exception that is thrown only if a suitable `LogFactory` or `Log` instance cannot be created by the corresponding factory methods.

  In this version of JCL, this exception will never be thrown in practice. However, it is included here to ensure total compile time and run time compatibility with the original JCL 1.0.4.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Throwable` | `cause` The underlying cause of this exception.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogConfigurationException()` Construct a new exception with `null` as its detail message.
    `LogConfigurationException(String message)` Construct a new exception with the specified detail message.
    `LogConfigurationException(String message, Throwable cause)` Construct a new exception with the specified detail message and cause.
    `LogConfigurationException(Throwable cause)` Construct a new exception with the specified cause and a derived detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Return the underlying cause of this exception (if any).

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected Throwable cause

      The underlying cause of this exception.

  - ### Constructor Detail

    - #### LogConfigurationException

          public LogConfigurationException()

      Construct a new exception with `null` as its detail message.

    - #### LogConfigurationException

          public LogConfigurationException(String message)

      Construct a new exception with the specified detail message.
      Parameters:
        `message` - The detail message

    - #### LogConfigurationException

          public LogConfigurationException(Throwable cause)

      Construct a new exception with the specified cause and a derived detail message.
      Parameters:
        `cause` - The underlying cause

    - #### LogConfigurationException

          public LogConfigurationException(String message,
                                   Throwable cause)

      Construct a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message
        `cause` - The underlying cause

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Return the underlying cause of this exception (if any).
      Overrides:
        `getCause` in class `Throwable`

Copyright © 2005–2017 QOS.ch. All rights reserved.